using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Recurit.Exam.Service.Migrations
{
    /// <inheritdoc />
    public partial class update_table_period_add_authname : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AuthName",
                table: "Disables");

            migrationBuilder.DropColumn(
                name: "AuthPosition",
                table: "Disables");

            migrationBuilder.AddColumn<string>(
                name: "AuthName",
                table: "PeriodExams",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "AuthPosition",
                table: "PeriodExams",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AuthName",
                table: "PeriodExams");

            migrationBuilder.DropColumn(
                name: "AuthPosition",
                table: "PeriodExams");

            migrationBuilder.AddColumn<string>(
                name: "AuthName",
                table: "Disables",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "AuthPosition",
                table: "Disables",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");
        }
    }
}
